/*

Copyright (C) 2000, 2001 Christian Kreibich <kreibich@aciri.org>.

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to
deal in the Software without restriction, including without limitation the
rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
sell copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies of the Software and its documentation and acknowledgment shall be
given in the documentation and software packages that this Software was
used.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
THE AUTHORS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

*/
#ifndef __nd_prefs_h
#define __nd_prefs_h

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <string.h>
#include <unistd.h>
#include <stdlib.h>
#include <stdio.h>
#include <sys/types.h>
#ifdef LINUX
#define __FAVOR_BSD
#endif

/* Initializes preferences handling, reads
   config file etc. TRUE on success, FALSE
   otherwise.
*/
int            nd_prefs_init(void);

/* Saves current preferences to disk.
   TRUE on success, FALSE otherwise.
 */
int            nd_prefs_save(void);

/* Saves to disk general settings that are not
   directly influenced by the user (such as
   load/save directories).
*/
void           nd_prefs_save_general(void);

/* Get/Set preferences. */
int            nd_prefs_set_item(const char *key,
				 void *data);

int            nd_prefs_get_item(const char *key,
				 void *data);

/* GUI callbacks. */
void           nd_prefs_dialog_show(void);
void           nd_prefs_dialog_ok(void);
void           nd_prefs_dialog_save(void);
void           nd_prefs_dialog_cancel(void);

#endif
